ru.bitel.bgbilling.plugins.cashcheck.common

## Class Payment

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.plugins.cashcheck.common.Payment

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class Payment
      extends Id

  Моделька "паймент", она типа расширяет существующую модель из таблицы платежей - объединяет тут поля из таблицы очереди, контракта итд.
  Author:
    dimon
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Payment()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `java.lang.String` | `getContractComment()`
    `int` | `getContractId()`
    `int` | `getContractID()` Deprecated.
    `java.lang.String` | `getContractTitle()`
    `java.util.Date` | `getDate()`
    `int` | `getID()` Deprecated.
    `int` | `getPaymentTypeId()`
    `int` | `getPaymentTypeID()` Deprecated.
    `java.lang.String` | `getPaymentTypesTitle()`
    `int` | `getPosId()`
    `int` | `getPosID()` Deprecated.
    `java.util.Date` | `getQueueDate()`
    `java.math.BigDecimal` | `getSumma()`
    `int` | `getUserId()`
    `int` | `getUserID()` Deprecated.
    `void` | `setComment(java.lang.String comment)`
    `void` | `setContractComment(java.lang.String contractComment)`
    `void` | `setContractId(int contractId)`
    `void` | `setContractID(int contractId)` Deprecated.
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setDate(java.util.Date date)`
    `void` | `setID(int id)` Deprecated.
    `void` | `setPaymentTypeId(int paymentTypeId)`
    `void` | `setPaymentTypeID(int paymentTypeId)` Deprecated.
    `void` | `setPaymentTypesTitle(java.lang.String paymentTypesTitle)`
    `void` | `setPosId(int posId)`
    `void` | `setPosID(int posId)` Deprecated.
    `void` | `setQueueDate(java.util.Date queueDate)`
    `void` | `setSumma(java.math.BigDecimal summa)`
    `void` | `setUserId(int userId)`
    `void` | `setUserID(int userId)` Deprecated.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Payment

          public Payment()

  - ### Method Detail

    - #### getContractComment

          public java.lang.String getContractComment()

    - #### setContractComment

          public void setContractComment(java.lang.String contractComment)

    - #### getID

          @Deprecated
          public int getID()

      Deprecated.
      Использовать `Id.getId()`.
      Returns:

    - #### setID

          @Deprecated
          public void setID(int id)

      Deprecated.
      Использовать `Id.setId(int)`.
      Parameters:
        `id` -

    - #### getPaymentTypeId

          public int getPaymentTypeId()

    - #### getPaymentTypeID

          @Deprecated
          public int getPaymentTypeID()

      Deprecated.
      Использовать `getPaymentTypeId()`.
      Returns:

    - #### setPaymentTypeId

          public void setPaymentTypeId(int paymentTypeId)

    - #### setPaymentTypeID

          @Deprecated
          public void setPaymentTypeID(int paymentTypeId)

      Deprecated.
      Использовать `setPaymentTypeId(int)`.
      Parameters:
        `paymentTypeId` -

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### setUserId

          public void setUserId(int userId)

    - #### setUserID

          @Deprecated
          public void setUserID(int userId)

      Deprecated.
      Использовать `setUserId(int)`.
      Parameters:
        `userId` -

    - #### setSumma

          public void setSumma(java.math.BigDecimal summa)

    - #### setContractId

          public void setContractId(int contractId)

    - #### setContractID

          @Deprecated
          public void setContractID(int contractId)

      Deprecated.
      Использовать `setContractId(int)`.
      Parameters:
        `contractId` -

    - #### setDate

          public void setDate(java.util.Date date)

    - #### getDate

          public java.util.Date getDate()

    - #### getContractId

          public int getContractId()

    - #### getContractID

          @Deprecated
          public int getContractID()

      Deprecated.
      Использовать `getContractId()`.
      Returns:

    - #### getSumma

          public java.math.BigDecimal getSumma()

    - #### getUserId

          public int getUserId()

    - #### getUserID

          @Deprecated
          public int getUserID()

      Deprecated.
      Использовать `getUserId()`.
      Returns:

    - #### getComment

          public java.lang.String getComment()

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getPaymentTypesTitle

          public java.lang.String getPaymentTypesTitle()

    - #### setPaymentTypesTitle

          public void setPaymentTypesTitle(java.lang.String paymentTypesTitle)

    - #### getQueueDate

          public java.util.Date getQueueDate()

    - #### setQueueDate

          public void setQueueDate(java.util.Date queueDate)

    - #### getPosId

          public int getPosId()

    - #### getPosID

          @Deprecated
          public int getPosID()

      Deprecated.
      Использовать `getPosId()`.
      Returns:

    - #### setPosId

          public void setPosId(int posId)

    - #### setPosID

          @Deprecated
          public void setPosID(int posId)

      Deprecated.
      Использовать `getPosId()`.
      Parameters:
        `posId` -

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Id`